Bug 70221 - RTF: a PNG picture is shown twice
Summary: RTF: a PNG picture is shown twice
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.2.0 target:4.1.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-10-07 09:41 UTC by jonjon
Modified: 2013-10-21 13:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Problematic RTF file (9.62 KB, application/rtf)
2013-10-07 09:41 UTC, jonjon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jonjon 2013-10-07 09:41:07 UTC
Created attachment 87228 [details]
Problematic RTF file

See attached RTF file: in the "Main" section the PNG picture is displayed twice. Can't reproduce with Word 2013 or OpenOffice Writer 4.0.1
Comment 1 Jorendc 2013-10-07 21:58:10 UTC
I can reproduce this behavior, tested using Mac OSX 10.8.5 with LibreOffice Version: 4.1.2.3 Build ID: 40b2d7fde7e8d2d7bc5a449dc65df4d08a7dd38 and Word for Mac 2011.

@Miklos: one for you :)?

Kind regards,
Joren
Comment 2 Julien Nabet 2013-10-11 21:10:39 UTC
Comment on attachment 87228 [details]
Problematic RTF file

Mimetype fixed
Comment 3 Julien Nabet 2013-10-11 21:22:20 UTC
On pc Debian x86-64 with master sources updated today, I can reproduce this.
I noticed lots of these logs:
warn:legacy.osl:21911:1:sal/rtl/ustring.cxx:594: rtl_string2UString_status() - Wrong TextEncoding
warn:writerfilter:21911:1:writerfilter/source/dmapper/StyleSheetTable.cxx:409: Style type needs to be processed first

and a bunch of these:
warn:svl:21911:1:svl/source/items/style.cxx:256: StyleSheet-Follow not found
Comment 4 Miklos Vajna 2013-10-18 08:47:53 UTC
The bugdoc is special in that the \pict group has additional braces inside, around \bin. I'll take care of this.

Also, this is a regression, as this worked fine in LO 3.4.
Comment 5 Commit Notification 2013-10-21 07:48:03 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a35fa8d8b127cb23ebff3952291742bf28477c74

fdo#70221 fix RTF import of multi-group pictures



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Miklos Vajna 2013-10-21 07:49:24 UTC
-4-1 review: https://gerrit.libreoffice.org/6361
Comment 7 Commit Notification 2013-10-21 13:24:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11726693c3d57e86e391f60370f1b42030ef69ea&h=libreoffice-4-1

fdo#70221 fix RTF import of multi-group pictures


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.